@import url('https://fonts.googleapis.com/css2?family=Bungee+Spice&family=Poppins:wght@200;300;400;500;600;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.game-board{
    width: 100%;
    height: 500px;
    border-bottom: 15px solid rgb(35,160,35);
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    background: linear-gradient(#87ceeb, #e0f6ff);
}
.pipe{
    position: absolute;
    bottom: 0;
    width: 80px;
    animation: pipe-animation 2s infinite linear;
}
.overText{
    position: absolute;
    font-weight: 800;
    font-size: 24px;
    left: 50%;
    top: 30%;
    transform: translate(-50%, -50%);
    font-family: 'Bungee Spice', cursive;
    text-align: center;
    margin-top: 5px;
    display: none;
    animation: game-over 1s linear;
}
.show{
    display: block;
}
.mario{
    width: 150px;
    position: absolute;
    bottom: 0;
}

.jump{
    animation: jump 500ms ease-out;
}
.clouds{
    position: absolute;
    width: 550px;
    animation: clouds-animation 15s infinite linear;
}
@keyframes pipe-animation{
    from{
        right: -80px;
    }
    to{
        right: 100%;
    }
}
@keyframes jump{
    0% {
        bottom: 0;
    }
    40%{
        bottom: 180px;
    }
    50% {
        bottom: 180px;
    }
    60%{
        bottom: 180px;
    }
    100% {
        bottom: 0;
    }
}
@keyframes game-over{
    from{
        top: -10%;
    }
    to{
        top: 30%;
    }
}
@keyframes clouds-animation{
    from{
        right: -550px;
    }
    to{right: 100%;}
}